Bug 975573 - virt-sysprep is in the wrong subpackage
Summary: virt-sysprep is in the wrong subpackage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-18 19:47 UTC by Richard W.M. Jones
Modified: 2014-06-18 01:59 UTC (History)
4 users (show)

Fixed In Version: libguestfs-1.22.4-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 975572
Environment:
Last Closed: 2014-06-13 09:57:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
Files to packages in RHEL 7 (24.49 KB, text/plain)
2013-06-19 19:19 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2013-06-18 19:47:40 UTC
+++ This bug was initially created as a clone of Bug #975572 +++

Description of problem:

$ rpm -ql libguestfs-tools
/usr/bin/virt-sysprep
[...]

virt-sysprep + man page should be in libguestfs-tools-c.

Ought to check that other programs and files are distributed
between the subpackages correctly too.

Version-Release number of selected component (if applicable):

libguestfs-1.22.2-1.el7

Comment 2 Richard W.M. Jones 2013-06-19 19:19:30 UTC
Created attachment 763122 [details]
Files to packages in RHEL 7

Distribution of files to packages in libguestfs in RHEL 7.

Comment 3 Richard W.M. Jones 2013-06-19 19:22:52 UTC
Only virt-sysprep is in the wrong package.

However I do wonder if we should be shipping the Ukrainian
and Japanese man page translations.

Comment 5 Can Zhang 2013-11-07 08:22:44 UTC
I checked with libguestfs-1.22.6-15.el7:

# rpm -ql libguestfs-tools-c|grep sysprep
/usr/bin/virt-sysprep
/usr/share/man/man1/virt-sysprep.1.gz

`virt-sysprep` is in `libguestfs-tools-c` now.

Comment 6 Ludek Smid 2014-06-13 09:57:44 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.